# Interface AppsNavigationConfig

interface AppsNavigationConfig {
empty?: false;
hidden?: boolean;
href?: string;
icon?: IconConfig;
id?: string;
image?: string;
label: string;
permissions?: string[];
routerLink?: string[];
target?: string;
}

- Defined in config.ts:3

#####
Index

### Properties

empty?
hidden?
href?
icon?
id?
image?
label
permissions?
routerLink?
target?

##
Properties

### `Optional` empty

empty?: false

- Defined in config.ts:9

### `Optional` hidden

hidden?: boolean

- Defined in config.ts:10

### `Optional` href

href?: string

- Defined in config.ts:7

### `Optional` icon

icon?: IconConfig

- Defined in config.ts:13

### `Optional` id

id?: string

- Defined in config.ts:11

### `Optional` image

image?: string

- Defined in config.ts:5

### label

label: string

- Defined in config.ts:6

### `Optional` permissions

permissions?: string[]

- Defined in config.ts:12

### `Optional` routerLink

routerLink?: string[]

- Defined in config.ts:8

### `Optional` target

target?: string

- Defined in config.ts:4